#!/bin/sh
# addtrap commands to add Bay Networks traps using OIT
# 
/usr/OV/bin/addtrap -n CardDown -l "rcCardDown" -i 1.3.6.1.4.1.2272.1.21.1  -g 6 -s 1 -S 5 -o A -t 0 -c "Error Events" -F 'Agent $A sent this Card Down Trap' -D "Cause: This trap is sent as a result of a card going out of service. Solutionn: Verify if card was manually pulled out or if the card is faulty"
#
#
/usr/OV/bin/addtrap -n CardUp -l "rcCardUp" -i 1.3.6.1.4.1.2272.1.21.2  -g 6 -s 2 -S 1 -o A -t 0 -c "LOGONLY" -F 'Agent $A sent this Card Up Trap' -D "Cause: This trap is sent as a result of a card going in-service. Solutionn: Information only no action needed"
#
#
/usr/OV/bin/addtrap -n ErrorNotification -l "rcErrorNotification" -i 1.3.6.1.4.1.2272.1.21.3  -g 6 -s 3 -S 2 -o A -t 0 -c "Error Events" -F 'Agent $A sent this Error Notification Trap' -D "Cause: This trap is sent as a result of an error detected in the device. Solutionn: Check error code and text and take necessary action"
#
#
/usr/OV/bin/addtrap -n SpanningTreeNewRootNotification -l "rcStpNewRoot" -i 1.3.6.1.4.1.2272.1.21.4  -g 6 -s 4 -S 1 -o A -t 0 -c "LOGONLY" -F 'Agent $A sent this Spanning Tree New Root Notification Trap' -D "Cause: This trap is sent as a result of a new spanning tree root selected. Solutionn: Information only no action needed"
#
#
/usr/OV/bin/addtrap -n SpanningTreeTopologyChange -l "rcStpTopologyChange" -i 1.3.6.1.4.1.2272.1.21.5  -g 6 -s 5 -S 1 -o A -t 0 -c "LOGONLY" -F 'Agent $A sent this Spanning Tree Topology Change Trap' -D "Cause: This trap is sent as a result of a spanning tree topology change. Solutionn: Information only no action needed"
#
#
/usr/OV/bin/addtrap -n PowerSupplyDownNotification -l "rcChasPowerSupplyDown" -i 1.3.6.1.4.1.2272.1.21.6  -g 6 -s 6 -S 5 -o A -t 0 -c "Error Events" -F 'Agent $A sent this Power Supply Down Trap' -D "Cause: This trap is sent as a result of a power supply failure. Solutionn: Replace power supply if needed"
#
#
/usr/OV/bin/addtrap -n FanDownNotification -l "rcChasFanDown" -i 1.3.6.1.4.1.2272.1.21.7  -g 6 -s 7 -S 5 -o A -t 0 -c "Error Events" -F 'Agent $A sent this Fan Down Trap' -D "Cause: This trap is sent as a result of a fan failure. Solutionn: Replace fan if needed"
#
#

